package com.sooka.system.gas.sc_gas_meter_infor.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.system.domain.BaseBusinessEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * 思凯收费系统-表具信息对象
 *
 * @author lei
 * @date 2022-08-22
 */
@Getter
@Setter
public class TGuijiSCGasMeterInfor extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    @Excel(name = "序号")
    private String id;

    /** 插入时间 */
    @Excel(name = "插入时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 标志位 */
    @Excel(name = "标志位")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** 品牌 */
    @Excel(name = "品牌" )
    private String trademark;

    /** 型号 */
    @Excel(name = "型号" )
    private String productType;

    /** 报废年限 */
    @Excel(name = "报废年限" )
    private String obsolescence;

    /** 表底数 */
    @Excel(name = "表底数" )
    private String baseRead;

    /** 表具条码号 */
    @Excel(name = "表具条码号" )
    private String barcode;

    /** 用户编号 */
    @Excel(name = "用户编号" )
    private String userCode;

    public String getTrademark()
    {
        return trademark;
    }

    public String getProducttype()
    {
        return productType;
    }

    public String getObsolescence()
    {
        return obsolescence;
    }

    public String getBaseread()
    {
        return baseRead;
    }

    public String getBarcode()
    {
        return barcode;
    }

    public String getUsercode()
    {
        return userCode;
    }
}
